<?php
/*
 	Plugin Name: WooCommerce Recommendations by Graphflow
 	Plugin URI: http://www.woothemes.com/products/woocommerce-recommendations/
	Description: Recommendations for WooCommerce, powered by the Graphflow recommendation engine
	Author: WooThemes
	Author URI: http://woothemes.com/
	Version: 2.1.0-beta3
	Requires at least: 3.9
	Tested up to: 4.2.2
	Developer: Gerhard Potgieter / Graphflow
	Developer URI: http://graphflow.com/

	@package WooCommerce
	@author WooThemes
 */

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

/**
 * Required functions
 */
if ( ! function_exists( 'woothemes_queue_update' ) ) {
	require_once( 'woo-includes/woo-functions.php' );
}

/**
 * Plugin updates
 */
woothemes_queue_update( plugin_basename( __FILE__ ), '7bf22a58d7f8281cbd07f7f68231b307', '524956' );

// Check if WooCommerce is active
if ( ! is_woocommerce_active() )
	return;

// get active plugins
$active_plugins = (array) get_option( 'active_plugins', array() );
if ( is_multisite() ) {
	$active_plugins = array_merge( $active_plugins, get_site_option( 'active_sitewide_plugins', array() ) );
}

// if old graphflow plugin is installed and active, deactivate it
if ( in_array( 'woocommerce-recommendations-by-graphflow/woocommerce-graphflow.php', $active_plugins ) || array_key_exists( 'woocommerce-recommendations-by-graphflow/woocommerce-graphflow.php', $active_plugins ) ) {
	require_once( ABSPATH . 'wp-admin/includes/plugin.php' );
	deactivate_plugins( 'woocommerce-recommendations-by-graphflow/woocommerce-graphflow.php' );
}

if ( ! function_exists( 'gf_activation_hook_2' ) ) {
	function gf_activation_hook_2() {
		update_option( 'woocommerce_graphflow_install_notice', false );
		update_option( 'woocommerce_graphflow_plugin_version', '2.1.0-b3' );
	}
}

register_activation_hook( __FILE__, 'gf_activation_hook_2' );

require_once( 'includes/class-wc-graphflow.php' );
$GLOBALS['wc_graphflow'] = new WC_Graphflow( __FILE__ );